Subject: bug#16161: 24.3.50; gnutls connections from Gnus no longer work after r115526

From: Nix <[email-masked]>
Date: Mon, 16 Dec 2013 12:51:59 +0000

On 16 Dec 2013, [email-masked] stated:

> You are told 'cannot open server due to (wrong-type-argument listp
> nil))'. Editing out the condition-case in gnus-open-server reveals the
> backtrace below. I suspect the problem is the CHECK_LIST_CONS() in
> gnutls-boot, which demands that verify-error is a cons, thus non-nil,
> but I'm too unfamiliar with the code to be sure. I'll try diking it out
> and see what happens.

Indeed it is, but this is not Ted's fault, it's Paul's. Reverting

revno: 115532
committer: Paul Eggert <[email-masked]>
branch nick: trunk
timestamp: Sat 2013-12-14 20:20:53 -0800
message:
  Use bool for boolean (GLYPH_DEBUG case).

  * xdisp.c (trace_redisplay_p) [GLYPH_DEBUG]:
  Use bool for boolean.
  * dispextern.h (IF_DEBUG): Properly parenthesize and convert to void.
  Args must now be expressions; all callers changed.

fixes it (and brings back the error message dropped by this change).

Don't forget that (listp nil) -> t... CHECK_LIST_CONS doesn't work like
that at all.

-- 
NULL && (void)